package dev.shadowsoffire.apotheosis.adventure.event;

import net.minecraft.world.item.ItemStack;
import net.minecraftforge.eventbus.api.Event;

public class GetItemSocketsEvent extends Event
{
    protected final ItemStack stack;
    protected int sockets;
    
    public GetItemSocketsEvent(final ItemStack stack, final int sockets) {
        this.stack = stack;
        this.sockets = sockets;
    }
    
    public ItemStack getStack() {
        return this.stack;
    }
    
    public int getSockets() {
        return this.sockets;
    }
    
    public void setSockets(final int sockets) {
        this.sockets = sockets;
    }
}
